[GRASS-user] Error compiling vdigit support in wxgrass: make cannot find -lgdi

Patton, Eric epatton at nrcan.gc.ca
Tue Apr 22 11:37:49 EDT 2008


I'm compiling vdigit support in wxpython Grass. I passed the --with-python and --with-wxwidgets flags during configure, with no errors.

make exits with one error:

/usr/bin/ld: cannot find -lgdi
collect2: ld returned 1 exit status
make: *** [OBJ.x86_64-unknown-linux-gnu/_grass6_wxvdigit.so] Error 1

Does anyone know what library/package name this -lgdi refers to? In Ubuntu Synaptic, the only hit for "gdi" or "python gdi" is a package called python-egenix-mxbeebase, and installing this package doesn't seem to satisfy this dependency, after running make distclean and recompiling.

Any idea what's wrong?

~ Eric.

More information about the grass-user mailing list